/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Task3;

import java.util.Random;
import java.util.Date;

class App{

  private int[] randNum;
  private long timeGeneretion;
  private long timePorog;
  private int count;


  App(int count, int timePorog){
    this.count = count;
    this.randNum = new int[this.count];
    this.timePorog = timePorog;
    this.generate();
  }

  private void generate(){
    long start = new Date().getTime();
    for(int i = 0; i < this.count; i++){
      this.randNum[i] = new Random().nextInt(100);
    }
    this.timeGeneretion = new Date().getTime() - start;
  }

  public boolean getSuccess(){
    return this.timeGeneretion < this.timePorog;
  }

  public int[] getNumbers(){
    if (this.getSuccess() == true){
      return this.randNum;
    } else {
      return null;
    }
  }

  private int[] returnNumbers(){
    return this.randNum;
  }

  private String failed(){
    return "Превышено ограничение по времени";
  }
}
